Співробітники: методи API Bimp
Методи API Bimp для ресурсу «Співробітники» (/org2/employee/…): 5 методів. Базова адреса: https://app.bimpsoft.com. Усі запити, крім входу, передають токен компанії в заголовку access-token — див. Початок роботи з API.
| Метод | Що робить |
|---|---|
POST /org2/employee/api-read | A request to obtain detailed information for a particular employee |
POST /org2/employee/api-readList | A request to view a list of employees |
POST /org2/employee/api-readStatuses | A request to retrieve the available statuses for employees |
POST /org2/employee/api-create | A request to create a new employee |
POST /org2/employee/api-update | A request to update information for an existing employee |
api-read
POST /org2/employee/api-read
A request to obtain detailed information for a particular employee
Тіло запиту (JSON)
| Поле | Тип | Обов’язкове | Опис |
|---|---|---|---|
uuid | string (uuid) | так | A unique uuid key for an Employee |
Відповідь: поле data
| Поле | Тип | Опис |
|---|---|---|
uuid | string (uuid) | A unique uuid key for an Employee |
code | string | |
comment | string | An optional text field for any additional notes or comments related to the document |
position | string | Employee position |
name | string | Employee name |
user | string (uuid) | null | |
status | string (uuid) | A unique identifier for the Status of counterparty, obtainable from the /counterparty/api-readStatuses request |
hiredDate | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) |
releasedDate | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) |
curl -X POST 'https://app.bimpsoft.com/org2/employee/api-read' \
-H 'access-token: <токен компанії>' \
-H 'Content-Type: application/json' \
-d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
api-readList
POST /org2/employee/api-readList
A request to view a list of employees
Тіло запиту (JSON)
| Поле | Тип | Обов’язкове | Опис |
|---|---|---|---|
pagination | object | так | |
pagination.offset | number | так | Begin from {offset} elements |
pagination.count | number | так | Limit of paginated elemets |
Відповідь: поле data
| Поле | Тип | Опис |
|---|---|---|
[].uuid | string (uuid) | A unique uuid key for an Employee |
[].code | string | |
[].comment | string | An optional text field for any additional notes or comments related to the document |
[].position | string | Employee position |
[].name | string | Employee name |
[].user | string (uuid) | null | |
[].status | string (uuid) | A unique identifier for the Status of counterparty, obtainable from the /counterparty/api-readStatuses request |
[].hiredDate | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) |
[].releasedDate | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) |
curl -X POST 'https://app.bimpsoft.com/org2/employee/api-readList' \
-H 'access-token: <токен компанії>' \
-H 'Content-Type: application/json' \
-d '{"pagination":{"offset":0,"count":10}}'
api-readStatuses
POST /org2/employee/api-readStatuses
A request to retrieve the available statuses for employees
Відповідь: поле data
| Поле | Тип | Опис |
|---|---|---|
[].uuid | string (uuid) | |
[].code | string | |
[].name | string |
curl -X POST 'https://app.bimpsoft.com/org2/employee/api-readStatuses' \
-H 'access-token: <токен компанії>'
api-create
POST /org2/employee/api-create
A request to create a new employee
Тіло запиту (JSON)
| Поле | Тип | Обов’язкове | Опис |
|---|---|---|---|
name | string | так | Employee name |
hiredDate | string | так | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) |
status | string (uuid) | так | A unique identifier for the Status of counterparty, obtainable from the /counterparty/api-readStatuses request |
comment | string | An optional text field for any additional notes or comments related to the document | |
position | string | Employee position | |
user | string (uuid) | null | ||
releasedDate | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) |
Відповідь: поле data
| Поле | Тип | Опис |
|---|---|---|
uuid | string |
curl -X POST 'https://app.bimpsoft.com/org2/employee/api-create' \
-H 'access-token: <токен компанії>' \
-H 'Content-Type: application/json' \
-d '{"name":"string","hiredDate":"string","status":"00000000-0000-0000-0000-000000000000"}'
api-update
POST /org2/employee/api-update
A request to update information for an existing employee
Тіло запиту (JSON)
| Поле | Тип | Обов’язкове | Опис |
|---|---|---|---|
uuid | string (uuid) | так | A unique uuid key for an Employee |
comment | string | An optional text field for any additional notes or comments related to the document | |
position | string | Employee position | |
name | string | Employee name | |
user | string (uuid) | null | ||
status | string (uuid) | A unique identifier for the Status of counterparty, obtainable from the /counterparty/api-readStatuses request | |
hiredDate | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) | |
releasedDate | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) |
curl -X POST 'https://app.bimpsoft.com/org2/employee/api-update' \
-H 'access-token: <токен компанії>' \
-H 'Content-Type: application/json' \
-d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
Інтерактивна документація з можливістю надіслати тестовий запит: https://app.bimpsoft.com/docs. Специфікація OpenAPI оновлюється разом із Bimp; ця сторінка згенерована з неї автоматично.